Subject: Re: gdb + cygwin
From: Earnie Boyd <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Mon, 24 May 1999 10:55:34 -0700 (PDT)

--- Charles Wilson <[email-masked]> wrote:
> Earnie Boyd wrote:
> <snip>
> 
> > Hi Chuck,
> >
> > I've seen this when I have a pointer reference that isn't being referenced
> > correctly.  Perhaps a prototype is incorrect or not specified.  Perhaps you
> > have a pointer becoming an integer or an integer becoming a pointer, either
> way
> > you're in trouble.
> >
> > Use the -Wall switch on the compilation and don't ignore the warnings.  If
> it
> > has to do with a pointer, it's an ERROR not a WARNING.
> 
> Okay, I tried this:
>     gcc -Wall -c smain.c ===> no errors
>     gcc -Wall -c gaaout.c ===> a few errors having to do with a return (no
> args)
> in a function that isn't supposed to return void. After I fixed 'em,
> 
>     gcc -Wall -c gaaout.c ===> no errors
>     gcc -o smain smain.o gaaout.o ===> no errors
> 
> execute `smain' ==> core dump. sigh.

How about referencing memory location zero due to a NULL pointer reference? 
This will always SIGSEGV.

BTW, Mumit always suggests using Purify or ElectricFence to check the memory
allocation.  I've often suggested using the -lmmalloc library.
===
"Earnie Boyd" <mailto:[email-masked]>
CYGWIN RELATED HELP:
 DOCUMENTATION: <http://sourceware.cygnus.com/cygwin/docs.html>
       DLLHELP: <http://www.xraylith.wisc.edu/~khan/software/gnu-win32/>
ARCHIVE SEARCH: <http://www.delorie.com/archives/> OR
                <http://www.eGroups.com/list/gnu-win32/>
_____________________________________________________________
Do You Yahoo!?
Free instant messaging and more at http://messenger.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]